# opendmarc_policy_store_from_domain()

[back to index]

SYNOPSIS |
    #include <dmarc.h>
    DMARC_POLICY_T * opendmarc_policy_store_from_domain(
    	DMARC_POLICY_T * pctx,
    	u_char *from_domain
    );
As soon as possible after you have located the first From: header, you should pass the value of that header to this function.
DESCRIPTION |
Called When | `opendmarc_policy_store_from_domain()` may be called while processing headers or after all headers have been processed.
ARGUMENTS |
Argument | Description
--- | ---
pctx | A pointer to type `DMARC_POLICY_T`.
from_domain | A pointer to a string containing unsigned characters.
RETURN VALUES | `DMARC_PARSE_OKAY` -- On success `DMARC_PARSE_ERROR_NULL_CTX` -- If pctx was NULL `DMARC_PARSE_ERROR_EMPTY` -- If from_domain was NULL or zero length `DMARC_PARSE_ERROR_NO_DOMAIN` -- If from_domain did not contain a domain, e.g. "<>"
NOTES | You may pass the whole From: header to this function, or the value of the From: header or just the domain you parsed from that address. This function will correctly handle whatever you feed it.

Copyright (c) 2012, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the license.